package performa.orm;

import oneit.utils.math.NullArith;


public class ClassNormalisation extends BaseClassNormalisation
{
    private static final long serialVersionUID = 0L;
    
    // This constructor should not be called
    public ClassNormalisation ()
    {
        // Do not add any code to this, always put it in initialiseNewObject
    }

    @Override
    public String getObjectIDSpace()
    {
        return "ClassNormalisation";
    }
    
    public Double getRoleFitScore(Integer weightedScore)
    {
        return NullArith.round(((10 * ((weightedScore - getWghtMeanScore()) / getWghtStddevScore())) + 50), 1);
    }
}